This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1273701 - CVE-2015-5306 openstack-ironic-discoverd: potential remote code execution with debug mode enabled [fedora-all]
CVE-2015-5306 openstack-ironic-discoverd: potential remote code execution wit...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openstack-ironic-discoverd (Show other bugs)
22
All Linux
high Severity high
: ---
: ---
Assigned To: Dmitry Tantsur
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2015-5306
  Show dependency treegraph
 
Reported: 2015-10-21 01:17 EDT by Garth Mollett
Modified: 2015-11-12 20:53 EST (History)
2 users (show)

See Also:
Fixed In Version: openstack-ironic-discoverd-1.1.1-1.fc23 openstack-ironic-discoverd-1.1.1-1.fc22
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-12 18:29:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Garth Mollett 2015-10-21 01:17:49 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]
Comment 1 Garth Mollett 2015-10-21 01:17:54 EDT
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1273698,1273701

# Description of your update
notes=Security fix for CVE-2015-5306

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1273698,1273701
Comment 2 Fedora Update System 2015-10-21 09:19:27 EDT
openstack-ironic-discoverd-1.1.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16ecacb90b
Comment 3 Fedora Update System 2015-10-21 09:43:04 EDT
openstack-ironic-discoverd-1.1.1-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-5062ef3dbe
Comment 4 Fedora Update System 2015-10-24 08:09:42 EDT
openstack-ironic-discoverd-1.1.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update openstack-ironic-discoverd'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16ecacb90b
Comment 5 Fedora Update System 2015-10-26 14:30:16 EDT
openstack-ironic-discoverd-1.1.1-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update openstack-ironic-discoverd'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-5062ef3dbe
Comment 6 Fedora Update System 2015-11-12 18:29:53 EST
openstack-ironic-discoverd-1.1.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2015-11-12 20:53:24 EST
openstack-ironic-discoverd-1.1.1-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.